package detail

import (
	"net/http"

	"git.noahlan.cn/noahlan/ntool-biz/zero/statusz"
	"github.com/zeromicro/go-zero/rest/httpx"

	"git.noahlan.cn/n-admin/n-admin-server/api/internal/logic/dictionary_admin/detail"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/types"
)

// swagger:route get /api/admin/dictionary/detail/list dictionary_admin/detail GetDictionaryDetailListAdmin
//
// Get dictionary list | 获取字典项列表
//
// Get dictionary list | 获取字典项列表
//
// Responses:
//  200: DictionaryDetailListResp

func GetDictionaryDetailListAdminHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		const transErr = true
		var req types.DictionaryDetailReq
		if err := httpx.Parse(r, &req); err != nil {
			statusz.ResponseHandler(r, w, transErr, nil, err)
			return
		}

		l := detail.NewGetDictionaryDetailListAdminLogic(r, r.Context(), svcCtx)
		resp, err := l.GetDictionaryDetailListAdmin(&req)

		statusz.ResponseHandler(r, w, transErr, resp, err)

	}
}
